module Adparlor
  module Facebook
    class << self
      attr_accessor :configuration

      def configure
        self.configuration ||= Configuration.new
        yield configuration
      end
    end

    class Configuration
      attr_accessor :api_version
      attr_accessor :base_uri
      attr_accessor :proxy_api_key

      def initialize
        @api_version = 'v11.0'
        @base_uri = 'https://graph.facebook.com'
        @proxy_api_key = nil
      end
    end
  end
end
