module Adparlor
  module Facebook
    module GraphApi
      class AdCreative < GraphObject
        include Fields::AdCreative
        include Traits::Methods
        field_attrs FIELDS
        allow_method :create
        allow_local_method :update, :destroy

        def update_path
          raise FbError.new('required parameter id missing', 500) unless id
          "/#{id}"
        end

        def previews
          @previews ||= CollectionProxy.new(AdPreview, "/#{id}/previews", access_token)
        end
      end
    end
  end
end
