module Adparlor
  module Facebook
    module GraphApi
      module AdTargetingTypes
        class AdGeolocation
          attr_accessor :key, :name, :type, :supports_city, :supports_region,
                        :country_code, :country_name, :region, :region_id,
                        :primary_city, :primary_city_id, :geo_hierarchy_level, :geo_hierarchy_name

          class << self
            def type_param
              'adgeolocation'
            end
          end
        end
      end
    end
  end
end
