module Adparlor
  module Facebook
    module GraphApi
      class Business < GraphObject
        include Fields::Business
        field_attrs FIELDS

        def path
          "/#{id}"
        end

        def product_catalogs
          @product_catalogs ||= CollectionProxy.new ProductCatalog, "#{id}/product_catalogs", access_token
        end
      end
    end
  end
end
