module Adparlor
  module Facebook
    module GraphApi
      class CustomConversion < GraphObject
        include Fields::CustomConversion
        include Traits::Methods
        field_attrs FIELDS
        allow_method :create, :update
        allow_local_method :destroy, :update

        def update_path
          raise FbError.new('required parameter id missing', 500) unless id
          "/#{id}"
        end

        def stats
          @stats ||= CollectionProxy.new AdsPixelStat, "#{id}/stats", access_token
        end
      end
    end
  end
end
