module Adparlor
  module Facebook
    module GraphApi
      module Fields
        module AdSet
          FIELDS = [
            :id,
            :account_id,
            :adlabels,
            :adset_schedule,
            :attribution_spec,
            :bid_amount,
            :bid_info,
            :billing_event,
            :campaign,
            :campaign_id,
            :configured_status,
            :created_time,
            :creative_sequence,
            :effective_status,
            :end_time,
            :frequency_control_specs,
            :lifetime_imps,
            :name,
            :optimization_goal,
            :promoted_object,
            :rf_prediction_id,
            :start_time,
            :targeting,
            :updated_time,
            :use_new_app_click,
            :pacing_type,
            :budget_remaining,
            :daily_budget,
            :lifetime_budget,
            :bid_strategy,
            :asset_feed_id,
            :bid_constraints,
            :daily_min_spend_target,
            :daily_spend_cap,
            :destination_type,
            :is_dynamic_creative,
            :issues_info,
            :lifetime_min_spend_target,
            :lifetime_spend_cap,
            :optimization_sub_event,
            :recommendations,
            :recurring_budget_semantics,
            :review_feedback,
            :source_adset,
            :status,
            :time_based_ad_rotation_id_blocks
          ]

          CREATE_FIELDS = [
            :account_id,
            :adlabels,
            :attribution_spec,
            :bid_amount,
            :billing_event,
            :campaign_id,
            :adset_schedule,
            :status,
            :creative_sequence,
            :daily_budget,
            :daily_imps,
            :end_time,
            :execution_options,
            :frequency_control_specs,
            :lifetime_budget,
            :lifetime_imps,
            :name,
            :optimization_goal,
            :pacing_type,
            :product_ad_behavior,
            :promoted_object,
            :redownload,
            :rf_prediction_id,
            :start_time,
            :targeting,
            :bid_strategy
          ]

          UPDATE_FIELDS = [
            :id,
            :account_id,
            :adlabels,
            :attribution_spec,
            :bid_amount,
            :billing_event,
            :campaign_id,
            :adset_schedule,
            :status,
            :creative_sequence,
            :daily_budget,
            :daily_imps,
            :end_time,
            :execution_options,
            :lifetime_budget,
            :lifetime_imps,
            :name,
            :optimization_goal,
            :pacing_type,
            :product_ad_behavior,
            :promoted_object,
            :redownload,
            :rf_prediction_id,
            :start_time,
            :targeting
          ]
        end
      end
    end
  end
end
