module Adparlor
  module Facebook
    module GraphApi
      module Fields
        module CustomAudience
          FIELDS = [:id, :account_id, :approximate_count, :data_source, :delivery_status,
                    :description, :excluded_custom_audiences, :included_custom_audiences,
                    :external_event_source, :lookalike_audience_ids, :lookalike_spec,
                    :name, :operation_status, :opt_out_link, :permission_for_actions,
                    :pixel_id, :rule, :retention_days, :subtype, :time_created,
                    :time_updated, :time_content_updated, :customer_file_source]
          CREATE_FIELDS = [:creation_params, :description, :id, :name, :opt_out_link,
                           :subtype, :lookalike_spec, :retention_days, :rule, :prefill,
                           :pixel_id, :inclusions, :exclusions, :origin_audience_id, :customer_file_source]
          UPDATE_FIELDS = [:description, :name, :opt_out_link, :parent_audience_id,
                           :lookalike_spec, :retention_days, :rule, :inclusions,
                           :exclusions, :customer_file_source]
        end
      end
    end
  end
end
