module Adparlor
  module Facebook
    module GraphApi
      module Fields
        module Post
          FIELDS = [:id, :admin_creator, :application, :child_attachments, :call_to_action, :created_time,
                    :feed_targeting, :from, :icon, :is_instagram_eligible, :is_hidden, :is_published, :message, :message_tags,
                    :picture, :place, :privacy, :properties, :shares, :status_type, :story, :story_tags,
                    :targeting, :to, :updated_time, :full_picture, :actions, :likes, :attachments,
                    :scheduled_publish_time, :promotable_id, :allowed_advertising_objectives, :is_eligible_for_promotion, :is_expired, :promotion_status
                    ]

          CREATE_FIELDS = FIELDS + [:scheduled_published_time]
        end
      end
    end
  end
end
