module Adparlor
  module Facebook
    module GraphApi
      module Fields
        module ReachFrequencyPrediction
          FIELDS = [:id, :account_id, :activity_status, :buying_type, :campaign_group_id, :campaign_id, :campaign_time_start,
                    :campaign_time_stop, :currency, :daily_impression_curve, :demo_breakdown, :destination_id,
                    :expiration_time, :external_budget, :external_impression, :external_maximum_budget, :external_maximum_impression,
                    :external_maximum_reach, :external_minimum_budget, :external_minimum_impression, :external_minimum_reach, :external_reach,
                    :frequency_cap, :frequency_distribution, :grp_audience_size, :grp_country_audience_size, :grp_dmas_audience_size,
                    :grp_points, :grp_ratio, :grp_reach_ratio, :grp_status, :holdout_percentage, :impression_curve, :instagram_destination_id,
                    :interval_frequency_cap, :interval_frequency_cap_reset_period, :is_bonus_media, :is_conversion_goal, :name, :objective_name,
                    :pause_periods, :placement_breakdown, :prediction_mode, :prediction_progress, :reference_id, :reservation_status, :status,
                    :story_event_type, :target_audience_size, :target_cpm, :target_spec, :time_created, :time_updated, :timezone_id,
                    :timezone_name, :topline_id, :curve_budget_reach]
          CREATE_FIELDS = [:action, :budget, :campaign_group_id, :day_parting_schedule, :destination_id, :destination_ids, :end_time,
                           :frequency_cap, :impression, :interval_frequency_cap_reset_period, :num_curve_points, :objective, :prediction_mode,
                           :reach, :rf_prediction_id, :rf_prediction_id_to_release, :rf_prediction_id_to_share, :start_time, :stop_time,
                           :story_event_type, :target_spec]
        end
      end
    end
  end
end
