module Adparlor
  module Facebook
    module GraphApi
      class Insight < GraphObject
        include Fields::Insight
        include Traits::Methods
        field_attrs FIELDS
        allow_method :read

        def path
          raise FbError.new('required parameter account_id missing', 500) unless account_id
          body = instance_variables.each_with_object({}) { |var, hash| hash[var.to_s.sub(/@/, '').to_sym] = instance_variable_get(var) }
          "/act_#{account_id}/insights?#{Faraday::NestedParamsEncoder.encode(body)}"
        end
      end
    end
  end
end
