module Adparlor
  module Facebook
    module GraphApi
      class Post < GraphObject
        include Fields::Post
        include Traits::Methods
        field_attrs FIELDS
        allow_local_method :destroy

        def update_path
          raise FbError.new('required parameter id missing', 500) unless @id
          "/#{@id}"
        end
      end
    end
  end
end
