module Adparlor
  module Facebook
    module GraphApi
      class ProductAudience < GraphObject
        include Fields::ProductAudience
        include Traits::Methods
        field_attrs FIELDS
        allow_local_method :create

        def path
          raise FbError.new('required parameter account_id missing', 500) unless account_id
          "/act_#{account_id}/product_audiences"
        end
      end
    end
  end
end
