module Adparlor
  module Facebook
    module GraphApi
      class ReachFrequencyPrediction < GraphObject
        include Fields::ReachFrequencyPrediction
        include Traits::Methods
        field_attrs FIELDS
        allow_method :create
        allow_local_method :create

        def path
          raise FbError.new('required parameter account_id missing', 500) unless account_id
          "/act_#{account_id}/reachfrequencypredictions"
        end
      end
    end
  end
end
