#!/usr/bin/sh

printf "\n\nRUNNER SCRIPT: Running as `whoami`"
printf "\n\nRUNNER SCRIPT: Running in directory `pwd`"

printf "\n\nRUNNER SCRIPT: Environment Variables..."
printf "\n\n`printenv`"

printf "\n\nRUNNER SCRIPT: Installing Gems...\n"
source ~/.bash_profile
rbenv local 2.0.0-p353
bin/setup
errcode=$?

if [ "$errcode" != 0 ]
then
  printf "\n\nRUNNER SCRIPT: Gem installation failed!"
  exit $errcode
fi

printf "\n\nRUNNER SCRIPT: Running specs...\n"
VCR_RECORD=all bundle exec rake rspec-rerun:spec
