module Adparlor
  module Facebook
    class Error < StandardError
      attr_reader :error_code

      def initialize(message, error_code = nil, error_attributes = {})
        @error_code = error_code
        error_attributes.each { |key, value| instance_variable_set("@#{key}".to_sym, value) }
        super message
      end
    end
  end
end
