module Adparlor
  module Facebook
    module GraphApi
      module Fields
        module Ad
          FIELDS = [
            :id,
            :account_id,
            :adset,
            :campaign_id,
            :campaign,
            :adlabels,
            :adset_id,
            :ad_review_feedback,
            :bid_amount,
            :bid_info,
            :bid_type,
            :configured_status,
            :conversion_specs,
            :created_time,
            :creative,
            :effective_status,
            :last_updated_by_app_id,
            :name,
            :tracking_specs,
            :updated_time
          ]

          CREATE_FIELDS = [
            :adset_id,
            :date_format,
            :creative,
            :name,
            :status,
            :tracking_specs,
            :display_sequence,
            :execution_options,
            :ad_labels,
            :bid_amount,
            :redownload,
            :object_story_spec
          ]

          UPDATE_FIELDS = [
            :adset_id,
            :creative,
            :name,
            :status,
            :tracking_specs,
            :display_sequence,
            :execution_options,
            :adlabels,
            :bid_amount,
            :redownload
          ]
        end
      end
    end
  end
end
