module Adparlor
  module Facebook
    module GraphApi
      module Fields
        module AdAccount
          FIELDS = [:id, :account_id, :account_status, :age,
                    :agency_client_declaration, :amount_spent, :balance, :business,
                    :business_city, :business_country_code, :business_name,
                    :business_state, :business_street2, :business_street, :business_zip,
                    :created_time, :end_advertiser, :media_agency, :partner, :capabilities,
                    :currency, :is_personal, :name, :offsite_pixels_tos_accepted,
                    :spend_cap, :funding_source, :funding_source_details,
                    :timezone_id, :timezone_name, :timezone_offset_hours_utc, :tos_accepted,
                    :users, :tax_id_status, :min_daily_budget, :min_campaign_group_spend_cap]
          CREATE_FIELDS = [:adaccounts, :replace]
          UPDATE_FIELDS = [:adaccounts, :replace]
        end
      end
    end
  end
end
