module Adparlor
  module Facebook
    module GraphApi
      module Fields
        module AdVideo
          FIELDS = [:id, :created_time, :description, :embed_html, :format, :from,
                    :icon, :is_instagram_eligible, :length, :title, :status, :source,
                    :updated_time, :privacy, :published, :scheduled_publish_time,
                    :embeddable, :content_category, :permalink_url, :event, :place,
                    :backdated_time, :backdated_time_granularity, :picture]
          CREATE_FIELDS = [:account_id, :user_id, :event_id, :page_id, :group_id,
                           :id, :title, :description, :source, :unpublished_content_type,
                           :file_url, :thumb, :upload_phase, :file_size, :start_offset,
                           :video_file_chunk, :upload_session_id, :content_category,
                           :ebeddable, :slideshow_spec, :backdated_post, :call_to_action,
                           :feed_targeting, :published, :scheduled_publish_time, :targeting,
                           :no_story, :secret, :social_actions]
        end
      end
    end
  end
end
