module Adparlor
  module Facebook
    module GraphApi
      module Fields
        module Application
          FIELDS = [:id, :android_key_hash, :android_sdk_error_categories,
                    :app_domains, :app_events_feature_bitmask, :app_install_tracked, :app_name,
                    :app_type, :auth_dialog_data_help_url, :auth_dialog_headline,
                    :auth_dialog_perms_explanation, :auth_referral_default_activity_privacy,
                    :auth_referral_enabled, :auth_referral_extended_perms, :auth_referral_friend_perms,
                    :auth_referral_response_type, :auth_referral_user_perms, :canvas_fluid_height,
                    :canvas_fluid_width, :canvas_url, :category, :client_config, :company,
                    :configured_ios_sso, :contact_email, :created_time, :creator_uid,
                    :deauth_callback_url,
                    :default_share_mode, :description, :hosting_url, :icon_url, :ios_bundle_id,
                    :ios_sdk_error_categories, :ios_supports_system_auth,
                    :ios_supports_native_proxy_auth_flow, :ios_sdk_dialog_flows, :ipad_app_store_id,
                    :iphone_app_store_id, :link, :logo_url, :migrations, :mobile_profile_section_url,
                    :mobile_web_url, :name,
                    :namespace, :object_store_urls, :page_tab_default_name, :page_tab_url,
                    :privacy_policy_url, :profile_section_url, :restrictions, :secure_canvas_url,
                    :secure_page_tab_url, :server_ip_whitelist, :social_discovery, :subcategory,
                    :supports_apprequests_fast_app_switch, :supported_platforms, :supports_attribution,
                    :supports_implicit_sdk_logging, :suppress_native_ios_gdp, :terms_of_service_url,
                    :url_scheme_suffix, :user_support_email, :user_support_url, :website_url,
                    :gdpv4_enabled, :gdpv4_nux_enabled, :gdpv4_nux_content]
        end
      end
    end
  end
end
