module Adparlor
  module Facebook
    module GraphApi
      module Fields
        module Campaign
          FIELDS = [
            :id,
            :adlabels,
            :account_id,
            :buying_type,
            :can_use_spend_cap,
            :configured_status,
            :created_time,
            :effective_status,
            :name,
            :objective,
            :start_time,
            :stop_time,
            :updated_time,
            :spend_cap,
            :budget_rebalance_flag,
            :pacing_type,
            :bid_strategy,
            :special_ad_categories,
            :daily_budget,
            :lifetime_budget
          ]
          CREATE_FIELDS = [
            :name,
            :objective,
            :status,
            :buying_type,
            :promoted_object,
            :spend_cap,
            :execution_options,
            :adlabels,
            :special_ad_categories,
            :daily_budget,
            :lifetime_budget
          ]
          UPDATE_FIELDS = [
            :name,
            :objective,
            :status,
            :spend_cap,
            :execution_options,
            :adlabels,
            :special_ad_categories,
            :daily_budget,
            :lifetime_budget
          ]
        end
      end
    end
  end
end
