module Adparlor
  module Facebook
    module GraphApi
      class TargetingSuggestion < GraphObject
        include Fields::TargetingSuggestion
        include Traits::Methods
        field_attrs FIELDS

        def get(path, options = {})
          options[:targeting_list] = options[:targeting_list].to_json if options[:targeting_list]
          super(path, options)
        end
      end
    end
  end
end
