module Adparlor
  module Facebook
    module GraphApi
      class User < GraphObject
        include Fields::User
        include Traits::Methods
        field_attrs FIELDS

        def adaccounts
          @adaccounts ||= CollectionProxy.new AdAccount, "/#{id}/adaccounts", access_token
        end

        def pages
          @pages ||= CollectionProxy.new PageAndPlace, "/#{id}/accounts", access_token
        end

        def places
          @places ||= CollectionProxy.new PageAndPlace, "/#{id}/accounts", access_token, nil, is_place: true
        end

      end
    end
  end
end
